%hold on;

%dans le champ gravifique du Soleil

mus=13.27E10;

%Demi grand axe et excentricit des 4 trajectoires

a=469.559E6;


e=0.686716;

%Inclinaisons des orbites sur l'ecliptique



incl=pi/180*2.28;

%Calcul de la  priode en jours solaires sur les trajectoires C1  C4

periode=2*pi*a.^1.5./sqrt(mus)/86400;

%Anomalie excentriques en radian des points de dpart


xdepart=357.83*pi/180;

%argument nodal du prige 


pw=185.03*pi/180;

%longitude vernale de la ligne des noeuds


gw=257.169*pi/180;

%Initialisation des matrices lignes des coordonnes de Galileo

coord1=[];coord2=[];



% Calcul des paramtres de Fsolve qui calculera l'anomalie excentrique
  
   par(1)=e;
   par(2)=periode;   
   par(4)=xdepart;
  

  
%Matrice de passage de la base Heliocentrique  la base prifocale

xgw=gw;xpw=pw;incli=incl;ad=a;exc=e;

R1=[cos(xgw) -sin(xgw) 0 ;sin(xgw) cos(xgw) 0;0 0 1];
R2=[1 0 0;0 cos(incli) -sin(incli);0 sin(incli) cos(incli)];
R3=[cos(xpw) -sin(xpw) 0 ;sin(xpw) cos(xpw) 0;0 0 1];
  
matpass=R1*R2*R3;

          % Calcul des points sur chaque orbite 1 point par jour

          for i=0:10:2032,
    
             par(3)=i;
             
          % Rsolution du calcul de l'anomalie excentrique

             x= fsolve('anomalie',0,zeros(16,1),par);

          % Calcul des coordonnes de Galilo dans la base prifocale

             coordx(1)=ad*(cos(x)-exc);
             coordx(2)=ad*sqrt(1-(exc)^2)*sin(x);
             coordx(3)=0;

          % Passage dans la base hliocentrique

             xgal=matpass*coordx';           

          % Calcul des 2 matrices des coordonnes (Matrices lignes) 
  
             coord1=[coord1 xgal(1)];
             coord2=[coord2 xgal(2)];

             
end

end

% Sauvetage des calculs dans le fichier position

save positC4.mat coord1 coord2;